#include "testWidget.h"

TestWidget::TestWidget(QWidget* parent,const char* name):
   QFrame(parent,name)
{
   
   this->resize(403,435);
   m_layout = new QVBoxLayout(this);
   
   m_rootWidgetA = new TQtWidget(this);
   m_rootWidgetA->GetCanvas()->SetName("c1");
   m_rootWidgetA->GetCanvas()->SetTitle("c1");
   m_rootWidgetA->EnableSignalEvents(kMousePressEvent);
   
   m_layout->addWidget(m_rootWidgetA);
   
   static struct needgraph {   needgraph () {  TApplication::NeedGraphicsLibs() ;  gApplication->InitializeGraphics();} }  needgraph;
   
   TFile file("06100000.root","READ");
   TList* keyList = file.GetListOfKeys();
   TKey* key = (TKey*)keyList->At(0);
   
   TProfile* prof = (TProfile*)key->ReadObj();
   
   TCanvas* canvas = m_rootWidgetA->GetCanvas();
   canvas->SetFillColor(42);
   canvas->SetFrameFillColor(33);
   
   canvas->GetListOfPrimitives()->Add(prof);
   canvas->Modified();
}


